Bug 149202 - Postscript files do not display in any viewer
Postscript files do not display in any viewer
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-02-20 20:31 EST by Chris Stark
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-13 14:56:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Stark 2005-02-20 20:31:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I am running a rather vanilla FC3 setup on three different
workstations: dual Athlon MP, single Athlon XP, and single P4. I use
KDE as my desktop on all three boxes. If I choose to print to a
postscript file on any of the machines, I end up with a *.ps file that
displays nothing but blank pages in all of gv, ggv, and kghostscript. 

If I open any of these *.ps files using my MacOS X workstation, the
Preview application opens and displays them without incident. In other
words, the postscript files would appear to be fine; it's just that
the Fedora-based viewers won't display correctly.

What seems to be related is that 'ps2pdf' fails to output a usable
*.pdf document. No matter what, the resultant *.pdf files are always
exactly 321 Bytes, plain text files with postscript-looking messages.
While I have a hard time believing this feature would be broken on a
large scale and seemingly nobody is complaining about it, I also have
a hard time understanding how this problem has manifested on all of my
FC3 workstations.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Print a file to PS or PDF from within KDE
2. Open the resulting files in gv, ggv, or Kghostscript
3. See nothing but white, regardless of the page count

Actual Results:  If I chose to print to PDF, I ended up with invalid
PDF files. If I chose to print to PS, I ended up with postscript files
that I could not read from within FC3 (I had to verify their validity
using MacOS X).

Expected Results:  I should have gotten valid PDF files or PS files
that I could view using any of the standard viewers.

Additional info:

All three of my systems have nVidia video cards with the binary
driver. This is about the only common hardware between them.
Comment 1 Tim Waugh 2005-02-21 04:17:18 EST
Which application do you print from?
Comment 2 Ngo Than 2005-02-21 05:02:15 EST
strange, i have tried to verify the problem with your steps on machine with FC3.
I can print from konqueror/kolourpaint/kwrire/kdate in PDF and PS, which can be
viewed with ggc or kghostview without any problem. It looks like you have printed
from non-kde-application!
Comment 3 Ngo Than 2005-02-21 05:04:18 EST
sorry for typo, i mean konqueror/kolourpaint/kwrite/kate and ggv
Comment 4 John Thacker 2007-01-13 14:56:00 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.